Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class AttachmentInfo

    java.lang.Object
      com.compoze.domino.AttachmentInfo

All Implemented Interfaces:
  java.io.Serializable

public class AttachmentInfo
extends java.lang.Object
implements java.io.Serializable

This class stores information about a single attachment.

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getID()` Gets the ID of the attachment.
`int` | `getIndex()` Gets the index of the attachment.
`java.lang.String` | `getName()` Gets the display name of the attachment.
`int` | `getSize()` Gets the size of the attachment.
`javax.activation.DataHandler` | `serverGetAttachment()` Queries the server to get the attachment data handler.
`java.lang.String` | `toString()` Returns the string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Gets the display name of the attachment.

  Returns:
    the name

### getSize

    public int getSize()

  Gets the size of the attachment.

  Returns:
    the size of the attachment (in bytes)

### getIndex

    public int getIndex()

  Gets the index of the attachment.

  Returns:
    the index of the attachment

### getID

    public java.lang.String getID()

  Gets the ID of the attachment.

  Returns:
    the ID of the attachment

### serverGetAttachment

    public javax.activation.DataHandler serverGetAttachment()
                                                     throws DominoException

  Queries the server to get the attachment data handler.

  Returns:
    a handler that can supply the attachment data
  Throws:
    `DominoException`

### toString

    public java.lang.String toString()

  Returns the string representation of the object.

  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.